function Res=mystrcmp(S1,S2)
% Сравнивает две строки;
% Аргументы : строки для сравнения
% Результат : <0 - первая строка меньше
%              0 - строки равны
%             >0 - первая строка больше
sizeS1=size(S1);
sizeS1=sizeS1(1,2);
sizeS2=size(S2);
sizeS2=sizeS2(1,2);
index=1;
while (index<=sizeS1) & (index<=sizeS2) & (S1(1,index)==S2(1,index))
    index=index+1;
end
if (index>sizeS1) & (index<=sizeS2)
    Res=-1;
elseif (index<=sizeS1) & (index>sizeS2)
    Res=1;
elseif (index>sizeS1) & (index>sizeS2)
    Res=0;
else
    Res=S1(1,index)-S2(1,index);
end